use central_backend::app_config::AppConfig;
use central_backend::crypto::pki;
use central_backend::utils::files_utils::create_directory_if_missing;

fn main() {
    env_logger::init_from_env(env_logger::Env::new().default_filter_or("info"));

    // Initialize storage
    create_directory_if_missing(AppConfig::get().pki_path()).unwrap();

    // Initialize PKI
    pki::initialize_root_ca().expect("Failed to initialize Root CA!");
    pki::initialize_web_ca().expect("Failed to initialize web CA!");
    pki::initialize_devices_ca().expect("Failed to initialize devices CA!");
}
